AuctionExtensionAddon = Inspect.Addon.Detail(Inspect.Addon.Current())
AuctionExtension = {
	AE = {
		Command = "aucext",
		UI = {
			Rows = {}
		},
		Visible = false,
		ScanTable = {},
		ScanTablePosition = 0
	},
	GUI = {},
	EGUI = {},
	List = {},
	SortedList = {},
	AuctionList = {},
	Colors = {
		common = { 255, 255, 255 },
		uncommon = { 0, 204, 0 },
		rare = { 38, 129, 254 },
		epic = { 176, 73, 255 },
		relic = { 255, 153, 0 }
	},
	Coins = { "platinum", "gold", "silver" },
	Buttons = { "Create", "Drop", "Cancel", "" },
	DropPrice = 50000,
	PriceList = {
		common = { delta = -1000, minimum = 100000, maximum = 200000, buyout = 3 * 3000 },
		uncommon = { delta = -1000, minimum = 300000, maximum = 500000, buyout = 4 * 3000 },
		rare = { delta = -1000, minimum = 500000, maximum = 1500000, buyout = 9 * 3000 },
		epic = { delta = -1000, minimum = 1000000, maximum = 2000000, buyout = 28 * 3000 },
		relic = { delta = -1000, minimum = 1000000, maximum = 2000000, buyout = 75 * 3000 }
	},
	IgnoreList = {
		["Leather Map Scrap"] = true,
		["Curious Seed"] = true,
		["Plot to Kill Orphiel"] = true,
		["Abyssal Book of Names"] = true,
		["Feather of the Messenger"] = true,
		["A Knight's Tour Page 1"] = true,
		["A Knight's Tour Page 2"] = true,
		["A Knight's Tour Page 3"] = true,
		["A Knight's Tour Page 4"] = true,
		["A Knight's Tour Page 5"] = true,
		["A Knight's Tour Page 6"] = true,
		["Bogling Star Signs Page 1"] = true,
		["Bogling Star Signs Page 2"] = true,
		["Bogling Star Signs Page 3"] = true,
		["Bogling Star Signs Page 4"] = true,
		["Bogling Star Signs Page 5"] = true,
		["Bogling Star Signs Page 6"] = true,
		["Bogling Star Signs Page 7"] = true,
		["Bogling Star Signs Page 8"] = true,
		["Bogling Star Signs Page 9"] = true,
		["Bogling Star Signs Page 10"] = true,
		["Circuit Diagrams Page 1"] = true,
		["Circuit Diagrams Page 2"] = true,
		["Circuit Diagrams Page 3"] = true,
		["Circuit Diagrams Page 4"] = true,
		["Circuit Diagrams Page 5"] = true,
		["Circuit Diagrams Page 6"] = true,
		["Circuit Diagrams Page 7"] = true,
		["Circuit Diagrams Page 8"] = true,
		["Circuit Diagrams Page 9"] = true,
		["Circuit Diagrams Page 10"] = true,
		["Circuit Diagrams Page 11"] = true,
		["Circuit Diagrams Page 12"] = true,
		["Little Black Book Page 1"] = true,
		["Little Black Book Page 2"] = true,
		["Little Black Book Page 3"] = true,
		["Little Black Book Page 4"] = true,
		["Little Black Book Page 5"] = true,
		["Little Black Book Page 6"] = true,
		["Little Black Book Page 7"] = true,
		["Little Black Book Page 8"] = true,
		["Little Black Book Page 9"] = true,
		["Little Black Book Page 10"] = true,
		["Queen's Gambit Page 1"] = true,
		["Queen's Gambit Page 2"] = true,
		["Queen's Gambit Page 3"] = true,
		["Queen's Gambit Page 4"] = true,
		["Queen's Gambit Page 5"] = true,
		["Queen's Gambit Page 6"] = true,
		["Queen's Gambit Page 7"] = true,
		["Queen's Gambit Page 8"] = true,
		["Queen's Gambit Page 9"] = true,
		["Queen's Gambit Page 10"] = true,
		["Queen's Gambit Page 11"] = true,
		["Queen's Gambit Page 12"] = true,
		["Seeing Dots Page 1"] = true,
		["Seeing Dots Page 2"] = true,
		["Seeing Dots Page 3"] = true,
		["Seeing Dots Page 4"] = true,
		["Seeing Dots Page 5"] = true,
		["Seeing Dots Page 6"] = true,
		["Seeing Dots Page 7"] = true,
		["Seeing Dots Page 8"] = true,
		["Snake Eyes Page 1"] = true,
		["Snake Eyes Page 2"] = true,
		["Snake Eyes Page 3"] = true,
		["Snake Eyes Page 4"] = true,
		["Snake Eyes Page 5"] = true,
		["Snake Eyes Page 6"] = true,
		["Snake Eyes Page 7"] = true,
		["Snake Eyes Page 8"] = true,
		["Snake Eyes Page 9"] = true,
		["Snake Eyes Page 10"] = true,
		["Snake Eyes Page 11"] = true,
		["Snake Eyes Page 12"] = true,
		["Snake Eyes Page 13"] = true,
		["Snake Eyes Page 14"] = true,
		["Snake Eyes Page 15"] = true
	}
}